Subject: Re: [PATCH net 2/4] ice: Correctly handle aux device when num channels change

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 9 Dec 2022 15:32:46 -0400

On Fri, Dec 09, 2022 at 11:28:28AM -0800, Saeed Mahameed wrote:

> IMO it's wrong to re-initialize a parallel subsystems due to an ethtool,
> ethtool is meant to control the netdev interface, not rdma.

We've gotten into locking trouble doing stuff like this before.

If you are holding any locks do not try to unplug/plug an aux device.

Jason